#!/usr/bin/perl 

# web_repli.cgi - Programmation de la replication du web public
# Version 1.0

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998,1999 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
# 

# Variables
do '/home/hadmin/slis.conf.pl';

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Lecture des parametres administrateur
open (PARAMS,"$BASE/params_admin.txt");
@param= <PARAMS> ;

# Tests de validit
if ($param[2] eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; correctement les param&egrave;tres
administrateur\n";
  print "<A HREF=/cgi-bin/params_admin_form.cgi>VEUILLEZ LE FAIRE.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

# Recup des variables du formulaire
$server=$html->param('server');
$user=$html->param('user');
$pass=$html->param('pass');
$remotedir=$html->param('remotedir');
$repli=$html->param('repli');
$repli_h=$html->param('repli_h');
$repli_m=$html->param('repli_m');

# Tests de validite
if ($server eq "" || $user eq "" || $pass eq "" || $repli eq "" || $repli_h eq ""
    || $repli_m eq "") {
  print "<CENTER><H3><FONT COLOR=FF0000>Erreur: Un des champs obligatoires est
         vide!</FONT></H3></CENTER>";
  print "</CENTER><HR><P>
  <DIV ALIGN=RIGHT>
  <A HREF=web_repli_form.cgi>&lt;&lt; 
  Retour &agrave; la configuration de la r&eacute;plication</A>
  <P>
  <A HREF=/web_repli.html>&lt;&lt; 
  Retour au menu \"r&eacute;plication...\"</A>
  </DIV>
  ";
  exit;
}

if ($remotedir eq "" || $remotedir eq "/" || $remotedir eq "~") {
  $remotedir="./";
}

# Ecriture dans le fichier
open (PUSHSITE,">$QUEUE/pushsite.slis");
print PUSHSITE "\$server=\"$server\"\;\n";
print PUSHSITE "\$user=\"$user\"\;\n";
print PUSHSITE "\$pass=\"$pass\"\;\n";
print PUSHSITE "\$remotedir=\"$remotedir\"\;\n";
print PUSHSITE "\$repli=\"$repli\"\;\n";
print PUSHSITE "\$repli_h=\"$repli_h\"\;\n";
print PUSHSITE "\$repli_m=\"$repli_m\"\;\n";
close PUSHSITE;

`touch $QUEUE/webreplic`;

# Ecriture du resultat
print "<BR><BR><HR><CENTER><H3><I>Les informations ont &eacute;t&eacute; enregistr&eacute;es" ;
print "\n</I></H3><P>Elles seront prises en compte lors de la" ;
print " prochaine validation.<P>\n" ;
print "\n";
print "</CENTER><HR><P>
<DIV ALIGN=RIGHT>
<A HREF=web_repli_form.cgi>&lt;&lt; 
Retour &agrave; la configuration de la r&eacute;plication</A>
<P>
<A HREF=/web_repli.html>&lt;&lt; 
Retour au menu \"r&eacute;plication...\"</A>
</DIV>
";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;

