#!/usr/bin/perl 

# queue_read.cgi - Affichage des actions a faire, non encore validees.
# Version 1.3

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do '/home/hadmin/slis.conf.pl';

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Ecriture des infos
print "<BR><BR><CENTER>";
print "<H3><I>Actions en cours, non encore valid&eacute;es :</I></H3>\n";
print "</CENTER><HR>\n";
if ( -e "$QUEUE/users_pop") {
  print "<B>Comptes &agrave; cr&eacute;er :</B><PRE>" ;
  print `awk -v h=$HOSTNAME -F: '{print \$1 "\\n \\t" \$4 "\\t" \$5 "\@" h}' $QUEUE/users_pop`;
  print "</PRE>";
  }
if ( -e "$QUEUE/users_del") {
  print "<B>Comptes &agrave; supprimer :</B><PRE>" ;
  print `awk -F: '{print \$1 }' $QUEUE/users_del`;
  print "</PRE>";
  }
if ( -e "$QUEUE/filtrage_ip") {
  print "<B>Filtrage IP :</B><PRE>" ;
  print `cat $QUEUE/filtrage_ip`;
  print "</PRE>";
  }
if ( -e "$QUEUE/users_alias") {
  print "<B>Creation d'alias :</B><PRE>" ;
  print `cat $QUEUE/users_alias`;
  print "</PRE>";
  }
if ( -e "$QUEUE/users_alias_del") {
  print "<B>Suppression d'alias :</B><PRE>" ;
  print `awk -F: '{print \$1}' $QUEUE/users_alias_del`;
  print "</PRE>";
  }
if ( -e "$QUEUE/denied_url") {
  print "<B>Adresses interdites :</B><PRE>" ;
  print `cat $QUEUE/denied_url`;
  print "</PRE>";
  }
if ( -e "$QUEUE/denied_url_purge") {
  print "<B>Adresses interdites :</B><PRE>" ;
  print "purge totale.";
  print "</PRE>";
  }
if ( -e "$QUEUE/subnets") {
  print "<B>Modification de l'activation des sous-r&eacute;seaux</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/subn_hor") {
  print "<B>Modification d'horaires de sous-r&eacute;seau</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/webmaster") {
  $webmaster=`cat $QUEUE/webmaster`;
  print "<B>Nomination du webmaster $webmaster</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/cybgroups") {
  print "<B>Modification(s) de groupe(s) cyber-ecole</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/pushsite.slis") {
  print "<B>Configuration de la fonction de r&eacute;plication web public.</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/pushsite.start") {
  print "<B>Lancement de la r&eacute;plication web public.</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/pushsite.stop") {
  print "<B>Interruption de la r&eacute;plication web public.</B><PRE>" ;
  print "</PRE>";
  }
if ( -e "$QUEUE/pushsite.purge") {
  print "<B>Purge du journal de la r&eacute;plication web public.</B><PRE>" ;
  print "</PRE>";
  }

print "<HR><P><CENTER>";
print "<A HREF=/cancel.html>Annuler ces actions</A></CENTER>";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;
